python-module-zope.dependencytool-3.4.0-alt3.1.1.x86_64.rpm


Advertisement

Description

python-module-zope.dependencytool - Package-Dependency Discovery Tool

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name python-module-zope.dependencytool
Package version 3.4.0
Package release alt3.1.1
Package architecture x86_64
Package type rpm
Installed size 54.34 KB
Download size 54.34 KB
Official Mirror ftp.altlinux.org
This package installs a script that allows a developer to discover the
used packages of a given package. This is useful when creating a list of
dependencies for setup.py.

Alternatives

Package Version Architecture Repository
python-module-zope.dependencytool-3.4.0-alt3.1.1.i586.rpm 3.4.0 i586 Classic
python-module-zope.dependencytool - - -

Requires

Name Value
/usr/bin/python -
/usr/lib64/python2.7/site-packages -
python-base -
python2.7(pkg_resources) -
python2.7(tokenize) -
python2.7(zope) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
python-module-zope.dependencytool = 3.4.0-alt3.1.1
python2.7(zope.dependencytool) -
python2.7(zope.dependencytool.dependency) -
python2.7(zope.dependencytool.finddeps) -
python2.7(zope.dependencytool.importfinder) -

Download

Type URL
Binary Package python-module-zope.dependencytool-3.4.0-alt3.1.1.x86_64.rpm
Source Package python-module-zope.dependencytool-3.4.0-alt3.1.1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-zope.dependencytool rpm package:
    # sudo apt-get install python-module-zope.dependencytool

Files

Path
/usr/bin/finddeps
/usr/lib64/python2.7/site-packages/zope/
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/PKG-INFO
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/SOURCES.txt
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/dependency_links.txt
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/entry_points.txt
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/namespace_packages.txt
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/not-zip-safe
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/requires.txt
/usr/lib64/python2.7/site-packages/zope.dependencytool-3.4.0-py2.7.egg-info/top_level.txt
/usr/lib64/python2.7/site-packages/zope/dependencytool/__init__.py
/usr/lib64/python2.7/site-packages/zope/dependencytool/__init__.pyc
/usr/lib64/python2.7/site-packages/zope/dependencytool/__init__.pyo
/usr/lib64/python2.7/site-packages/zope/dependencytool/dependency.py
/usr/lib64/python2.7/site-packages/zope/dependencytool/dependency.pyc
/usr/lib64/python2.7/site-packages/zope/dependencytool/dependency.pyo
/usr/lib64/python2.7/site-packages/zope/dependencytool/finddeps.py
/usr/lib64/python2.7/site-packages/zope/dependencytool/finddeps.pyc
/usr/lib64/python2.7/site-packages/zope/dependencytool/finddeps.pyo
/usr/lib64/python2.7/site-packages/zope/dependencytool/importfinder.py
/usr/lib64/python2.7/site-packages/zope/dependencytool/importfinder.pyc
/usr/lib64/python2.7/site-packages/zope/dependencytool/importfinder.pyo
/usr/share/doc/python-module-zope.dependencytool-3.4.0/AUTHOR.txt
/usr/share/doc/python-module-zope.dependencytool-3.4.0/CHANGES.txt
/usr/share/doc/python-module-zope.dependencytool-3.4.0/LICENSE.txt
/usr/share/doc/python-module-zope.dependencytool-3.4.0/README.txt
/usr/share/doc/python-module-zope.dependencytool-3.4.0/TODOS.txt

Changelog

2016-06-06 - Ivan Zakharyaschev <imz@altlinux.org> 3.4.0-alt3.1.1
- (AUTO) subst_x86_64.
2016-03-14 - Ivan Zakharyaschev <imz@altlinux.org> 3.4.0-alt3.1
- (NMU) rebuild with rpm-build-python3-0.1.9
(for common python3/site-packages/ and auto python3.3-ABI dep when needed)
2014-07-26 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.4.0-alt3
- Added module for Python 3
2011-10-20 - Vitaly Kuznetsov <vitty@altlinux.ru> 3.4.0-alt2.1
- Rebuild with Python-2.7
2011-06-28 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.4.0-alt2
- Added necessary requirements
- Excluded *.pth
2011-05-31 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.4.0-alt1
- Initial build for Sisyphus

See Also

Package Description
python-module-zope.dependencytool-tests-3.4.0-alt3.1.1.x86_64.rpm Tests for Package-Dependency Discovery Tool
python-module-zope.deprecation-4.1.3-alt1.dev0.git20150113.1.1.1.x86_64.rpm Zope 3 Deprecation Infrastructure
python-module-zope.deprecation-tests-4.1.3-alt1.dev0.git20150113.1.1.1.x86_64.rpm Tests for Zope 3 Deprecation Infrastructure
python-module-zope.documenttemplate-3.4.3-alt2.1.1.x86_64.rpm Document Templating Markup Language (DTML)
python-module-zope.documenttemplate-tests-3.4.3-alt2.1.1.x86_64.rpm Tests for Document Templating Markup Language (DTML)
python-module-zope.dottedname-4.1.1-alt1.dev0.git20150226.1.1.1.x86_64.rpm Resolver for Python dotted names
python-module-zope.dottedname-tests-4.1.1-alt1.dev0.git20150226.1.1.1.x86_64.rpm Tests for Resolver for Python dotted names
python-module-zope.dublincore-4.1.1-alt1.1.1.x86_64.rpm Zope Dublin Core implementation
python-module-zope.dublincore-tests-4.1.1-alt1.1.1.x86_64.rpm Tests for zope.dublincore
python-module-zope.error-4.3.0-alt1.x86_64.rpm An error reporting utility for Zope3
python-module-zope.error-tests-4.3.0-alt1.x86_64.rpm Tests for zope.error
python-module-zope.errorview-0.11-alt2.1.1.x86_64.rpm Basic HTTP and Browser exception views
python-module-zope.errorview-tests-0.11-alt2.1.1.x86_64.rpm Tests for zope.errorview
python-module-zope.event-4.0.3-alt1.1.1.1.x86_64.rpm Very basic event publishing system
python-module-zope.event-tests-4.0.3-alt1.1.1.1.x86_64.rpm Tests for zope.event
Advertisement
Advertisement